Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.persistence
Class Generator

    java.lang.Object
      kodo.persistence.Generator

    public class Generator

extends Object

Represents a store sequence.

Since:
  4.0

Field Summary
`static String` | `UUID_HEX`
`static String` | `UUID_STRING`

Constructor Summary
`Generator(kodo.kernel.Seq seq, String name, kodo.kernel.StoreContext ctx, kodo.meta.ClassMetaData meta)` Constructor; supply delegate.

Method Summary
`void` | `allocate(int additional)` Hint to the sequence to allocate additional values up-front for efficiency.
`Object` | `current()` The current sequence value, or null if the sequence does not support current values.
`boolean` | `equals(Object other)`
`kodo.kernel.Seq` | `getDelegate()` Delegate.
`String` | `getName()` The sequence name.
`int` | `hashCode()`
`Object` | `next()` The next sequence value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UUID_HEX

    public static final String UUID_HEX

See Also:
  Constant Field Values

### UUID_STRING

    public static final String UUID_STRING

See Also:
  Constant Field Values

Constructor Detail

### Generator

    public Generator(kodo.kernel.Seq seq,
                     String name,
                     kodo.kernel.StoreContext ctx,
                     kodo.meta.ClassMetaData meta)

  Constructor; supply delegate.

Method Detail

### getDelegate

    public kodo.kernel.Seq getDelegate()

  Delegate.

### getName

    public String getName()

  The sequence name.

### next

    public Object next()

  The next sequence value.

### current

    public Object current()

  The current sequence value, or null if the sequence does not support current values.

### allocate

    public void allocate(int additional)

  Hint to the sequence to allocate additional values up-front for efficiency.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.0.0 generated on May 15 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.